using System;
using System.Collections.Generic;
using System.Text;
using System.Web;

namespace SharpPieces.Web.Controls
{
    public class UploadEventArgs : EventArgs
    {
        private HttpPostedFile _file;
        private UploadResult _result;
        private string _message;

        /// <summary>
        /// Initializes a new instance of the <see cref="FancyUploadEventArgs"/> class.
        /// </summary>
        public UploadEventArgs()
            : this(null)
        {
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="FancyUploadEventArgs"/> class.
        /// </summary>
        /// <param name="file">The file.</param>
        public UploadEventArgs(HttpPostedFile file)
        {
            this._file = file;
            this._result = UploadResult.Success;
        }

        /// <summary>
        /// Gets or sets the file.
        /// </summary>
        /// <value>The file.</value>
        public HttpPostedFile File
        {
            get { return this._file; }
            set { this._file = value; }
        }

        public UploadResult UploadResult
        {
            get { return _result; }
            set { _result = value; }
        }

        public string Message
        {
            get { return _message; }
            set { _message = value; }
        }
    }

    public enum UploadResult
    {
        Success,
        Error
    }
}
